package cz.muni.fi.pb162.ishop;

/**
 * Toto rozhrani reprezentuje zakaznika. Zakaznik ma id,
 * jmeno a adresu.
 * 
 * @author Jan Pomikalek &lt;xpomikal@fi.muni.cz&gt;
 */

public interface Customer
{
    /**
     * Vrati id zakaznika.
     * 
     * @return id zakaznika
     */
    int getId();
    
    /**
     * Vrati jmeno zakaznika.
     * 
     * @return jmeno zakaznika
     */
    String getName();
    
    /**
     * Vrati adresu zakaznika.
     * 
     * @return adresa zakaznika
     */
    String getAddress();
    
    /**
     * Porovna tento objekt s parametrem <code>obj</code>.
     * Objekty jsou shodne, maji-li shodne id a je-li <code>obj</code>
     * instanci tridy implementujici rozhrani <code>Customer</code>.
     * 
     * @param obj porovnavany objekt
     * @return <code>true</code>, je-li tento objekt shodny
     * s parametrem <code>obj</code>, jinak <code>false</code>
     */
    boolean equals(Object obj);
}
