package cz.muni.fi.pb162.ishop;

/**
 * Toto rozhrani reprezentuje vyrobek. Vyrobek ma id,
 * nazev, cenu a velikost.
 * 
 * @author Jan Pomikalek &lt;xpomikal@fi.muni.cz&gt;
 */

public interface Product
{
    /**
     * Vyctovy typ reprezentujici velikost vyrobku.
     */    
    public enum Size
    {
        SMALL, MEDIUM, LARGE;
    }
    
    /**
     * Vrati id vyrobku.
     * 
     * @return id vyrobku
     */
    int getId();
    
    /**
     * Vrati nazev vyrobku.
     * 
     * @return nazev vyrobku
     */
    String getName();
    
    /**
     * Vrati cenu vyrobku.
     * 
     * @return cena vyrobku
     */
    double getPrice();
    
    /**
     * Vrati velikost vyrobku.
     * 
     * @return velikost vyrobku
     */
    Size getSize();
    
    /**
     * Porovna tento objekt s parametrem <code>obj</code>.
     * Objekty jsou shodne, maji-li shodne id a je-li <code>obj</code>
     * instanci tridy implementujici rozhrani <code>Product</code>.
     * 
     * @param obj porovnavany objekt
     * @return <code>true</code>, je-li tento objekt shodny
     * s parametrem <code>obj</code>, jinak <code>false</code>
     */
    boolean equals(Object obj);
}
